<?php

function AUTHORIZE_USER_BY_AUTH_MODULE() {
global $LOGIN,$ADM_ACCOUNT,$ADM_PASSWD,$AUTHORIZE_USER,$MENU_INIT,$SSL_IFACE ;
//echo "<BR>Funkcja AUTHORIZE_USER $LOGIN,$ADM_ACCOUNT,$ADM_PASSWD() $AUTHORIZE_USER";
if (isset($_POST['ADM_ACCOUNT']) && isset($_POST['ADM_PASSWD'])) {
	$ADM_ACCOUNT=addslashes($_POST['ADM_ACCOUNT']); $ADM_PASSWD=addslashes($_POST['ADM_PASSWD']);
	$LOGIN = $_POST['LOGIN'];
}
SEF('AUTHORIZE_USER_LOGIN_BY_AUTH_MODULE');
if(!($_SESSION['AUTHORIZE_USER']) && ($LOGIN == 'LOGIN')) AUTHORIZE_USER_LOGIN_BY_AUTH_MODULE($ADM_ACCOUNT,$ADM_PASSWD);
if(($_SESSION['AUTHORIZE_USER']) && ($LOGIN == 'LOGOUT')) {
	echo'<fieldset class="main">';
		echo'<legend>Wylogowano</legend>';
		echo'<a href="'.$_SERVER['PHP_SELF'].'">*LOGOWANIE* </a>';
	echo'</fieldset>';
	echo'</body></html>';
	session_unset();//function frees all session variables currently registered.
	session_destroy();//destroys all of the data associated with the current session. It does not unset any of the global variables associated with the session
	die();
}
if(!$_SESSION['AUTHORIZE_USER']) {
	echo'<fieldset class="main">';
		echo'<legend>Musisz sie zautoryzowac</legend>';
		echo'<form name="LOGIN" action="'.$_SERVER['PHP_SELF'].'" method="POST">';
			echo'Uzytkownik:<input type="text" name="ADM_ACCOUNT" value="">';
			echo'<br>Haslo:<input type="password" name="ADM_PASSWD">';
			echo'<br><input name="LOGIN" type="SUBMIT" value="LOGIN">';
		echo'</form>';
	echo'</fieldset>';
	echo'</body></html>';
	die();
} else {
	if($LOGIN=='SHOW')  echo "Jestes zalogowany jako $_SESSION[ADM_NAME] (<a href='?USEREDIT=VIEW'>$_SESSION[AUTHORIZE_USER]</a>)  <a href='?LOGIN=LOGOUT'>Wyloguj</a><br>";
}
if(($_SESSION['AUTHORIZE_USER']) && ($LOGIN == 'LOGOUT')) {
	echo "Wylogowano,<br>
	<a href='".$_SERVER['PHP_SELF']."'>*LOGOWANIE* </a>";
	session_destroy();
	die();
} 
if(!$_SESSION['AUTHORIZE_USER']) {
  echo "<h1>Procesy ...</h1>
<hr>Musisz sie zautoryzowac<br>

   <FORM NAME='LOGIN' ACTION='".$_SERVER['PHP_SELF']."' METHOD='POST'>Uzytkownik:<INPUT TYPE=TEXT NAME='ADM_ACCOUNT' VALUE=''><br>
   Haslo:<INPUT TYPE=PASSWORD NAME='ADM_PASSWD'><INPUT NAME='LOGIN' TYPE=SUBMIT VALUE='LOGIN'></FORM></BODY></HTML>
   "; die();
  } else {
 if($LOGIN=='SHOW')  echo "Jestes zalogowany jako $_SESSION[ADM_NAME] (<a href='?USEREDIT=VIEW'>$_SESSION[AUTHORIZE_USER]</a>)  <a href='?LOGIN=LOGOUT'>Wyloguj</a><br>";
  }
}

